Tenant
Update billing profile
Set your registered country, and optionally your own VAT number.
POST/v1/tenant/billing_profile
Parameters
| Parameter | Description |
|---|---|
| country_codestringrequired | At most 2 characters. |
| address_line1string | nulloptional | At most 255 characters. |
| address_line2string | nulloptional | At most 255 characters. |
| citystring | nulloptional | At most 128 characters. |
| postal_codestring | nulloptional | At most 32 characters. |
| registration_numberstring | nulloptional | At most 64 characters. |
| vat_idstring | nulloptional | At most 64 characters. |
Returns
Returns a TenantBillingProfileResponse object.
Errors
| Status | Cause |
|---|---|
| 401 | Missing or invalid API key. |
| 403 | Key is missing the tenant:write scope. |
| 422 | Validation Error |
| 429 | Rate limited. Back off and retry. |
Other tenant operations
- Get billing profile GET /v1/tenant/billing_profile
- Get tenant capabilities GET /v1/tenant/capabilities
- Export tenant data GET /v1/tenant/export
- Get portal branding GET /v1/tenant/portal_branding
- Update portal branding POST /v1/tenant/portal_branding
- Rotate tenant provider credential POST /v1/tenant/provider_credential
BillKit